#!/bin/sh
echo 'name: hashed-storage
version: 0.5.9
id: hashed-storage-0.5.9-19a7176b1e87c32af7670267c6bdcc07

license: BSD3
copyright: 2009 Petr Rockai <me@mornfall.net>
maintainer: Petr Rockai <me@mornfall.net>
stability:
homepage:
package-url:
description: Support code for reading and manipulating hashed file storage
             (where each file and directory is associated with a
             cryptographic hash, for corruption-resistant storage and fast
             comparisons).
             .
             The supported storage formats include darcs hashed pristine, a
             plain filesystem tree and an indexed plain tree (where the index
             maintains hashes of the plain files and directories).
category: System
author: Petr Rockai <me@mornfall.net>
exposed: True
exposed-modules: Storage.Hashed Storage.Hashed.AnchoredPath
                 Storage.Hashed.Index Storage.Hashed.Monad Storage.Hashed.Tree
                 Storage.Hashed.Hash Storage.Hashed.Packed Storage.Hashed.Plain
                 Storage.Hashed.Darcs
hidden-modules: Bundled.Posix Bundled.SHA256 Storage.Hashed.Utils
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/hashed-storage-0.5.9
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/hashed-storage-0.5.9
              /usr/local/lib
hs-libraries: HShashed-storage-0.5.9
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.3.1.0-c683e1c476645dcbab1b168f8e5a9aeb
         binary-0.5.0.2-e7e7651f76a2589e9dd2d6b265a695e0
         bytestring-0.9.1.10-94a0a1c920aee21a485bdf21fd51b2be
         containers-0.4.0.0-8781485edb2ac0db733a9f9c72e27945
         dataenc-0.14.0.3-6de2f2e7790d26f86df2e0dfe0aac7b2
         directory-1.1.0.0-689c0feb497f60ef9b6c9a128fc1997e
         extensible-exceptions-0.1.1.2-d8c5b906654260efd7249f497d17a831
         filepath-1.2.0.0-b273467b63dd15270d77af61bc610112
         mmap-0.5.7-9e1bbe75bf9180d694f3201ee7f01f8b
         mtl-2.0.1.0-91f62d81c946aa60137dcc008e554a3a
         zlib-0.5.3.1-a78f28b72a90bc6d93acffb0c82dfef3
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/hashed-storage-0.5.9/html/hashed-storage.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/hashed-storage-0.5.9/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
